/*
 * dht11.h: The include file for the dht11 library
 *
 * This is part of a simple meteorological station measuring 
 * temperature, humidity and air pressure every ~ 10s
 * The program will be demonstrated during the UCC Openday on Oct. 18 2017
 * copyright U. Raich Dec 2017
 */
#ifndef __DHT11_H__
#define __DHT11_H__

#include <stdbool.h>

#define DHT11_SUCCESS                  1
#define DHT11_GENERAL_FAILURE         -1
#define DHT11_BAD_CHECKSUM            -2
#define DHT11_PROTOCOL_ERROR          -3
#define DHT11_PROTOCOL_TIMEOUT        100
#define LOW  0
#define HIGH 1

void   dht11SetDebug(bool);
void   dht11WriteProtocolData(bool);
void   dht11Measure(void);
int    dht11Evaluate(void);
short  dht11GetTemp(void);
short  dht11GetHumidity(void);
void   dht11PrintError(int);


#endif
