/*
 * dht11.Test: tests the dht11 library
 *
 * This is part of a simple meteorological station measuring 
 * temperature, humidity and air pressure every ~ 10s
 * The program will be demonstrated during the UCC Openday on Oct. 18 2017
 * copyright U. Raich Dec 2017
 */

#include <stdio.h>
#include <dht11.h>

int main(int argc, char **argv) {
  int retCode;
  dht11SetDebug(true);
  dht11WriteProtocolData(false);
  dht11Measure();
  
  if ((retCode = dht11Evaluate()) < 0) {
    printf("dht11Test: Error when evaluating: %d\n",retCode);
    dht11PrintError(retCode);
  }
  else {
    printf("Temperature: %d, Humidity: %d\n",
	   dht11GetTemp(), dht11GetHumidity());
  }
 
}
