/* hd44780Test.c Test program for the Hitachi LCD display driver
 *    Copyright U. Raich Jan. 2017
 *    This program is part of a course on embedded systems held
 *    at the University of Cape Coast, Ghana in 2017
 *    It is released under the GNU Public License 
 *    For details please see https://www.gnu.org/licenses/gpl.html
 */

#include <hd44780.h>

int main(int c, char **argv) {
  int i,retCode=0;
  bool busy;
  unsigned char addr;
  char text[HD44780_MAX_STRLEN+1]={'\0'}, *textPtr;
  /*
    set debugging on
  */
  hd44780SetDebug(true);

  if ((retCode = hd44780Open()) < 0) {
    printf("hd4470Test: Cannot initialize pigpio\n");
    return -1;
  }

  if (hd44780PutS("Hello World !") < 0)
    printf("hd44780Test: Writing Hello World failed!\n");

  hd44780SecondLine();
    
  if (hd44780PutS("Second Line") < 0)
    printf("hd44780Test: Writing Hello World failed!\n");
  
  hd44780SetDDRamAddr(0x40);

  hd44780ReadBusy(&busy,&addr);
  printf("hd44780Test: busy: %d, address: 0x%02x\n",busy,addr);
  
  /*
    now the second line back
  */

  textPtr = text;
  for (i=0;i<HD44780_MAX_STRLEN;i++)
    hd44780GetC(textPtr++);
  printf("hd44780Test: Readback: %s\n",text);

  hd44780Close();
  return HD44780_SUCCESS;
}
  
  
